Rubber band canvas artifacts when editing vector layer that is not in edit mode

2008-01-16 10:11 AM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10969

Description

In 0.9.1 release, if you try to edit a polygon when editing is not enabled, you get artifacts on the canvas from the rubberband where your

polygon border would have gone had the polygon been editable. In my case, little red lines from one vertex to the attempted new or moved

vertex. These artifacts remain on the canvas if you start a new project.

History

#1 - 2008-02-22 01:37 AM - sieczka -

This problem is gone in 0.9.2 for me on GNU/Linux in SVN commit:792f21dc (SVN r8172) I use - editing tools are simply disabled until you toggle edit

mode. Do you confirm?

#2 - 2008-02-22 10:14 AM - John Tull

- Resolution set to fixed

- Status changed from Open to Closed

Agreed. Set to closed.

#3 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
